%define uname ices
%define gname ices
%define pythonversion 1.5
%define lsversion 1.0.6

Name: ices
Version: 0.1.0
Release: 3
Summary: Another streamer for icecast
Summary(pt_BR): Mais um streamer para icecast
Summary(es): Another streamer for icecast
Group: Networking
Group(pt_BR): Rede
Group(es): Red
License: GPL
URL: http://www.icecast.org
Source0: http://www.icecast.org/releases/%{name}-%{version}.tar.bz2
Source1: ices.init
BuildRequires: libxml2-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
ices, armed with a list of mp3 files, sends a continuous stream of
mp3 data to an icecast server. The server is then responsible for
accepting client connections and feeding the mp3 stream to them.

%description -l pt_BR
ices, armed with a list of mp3 files, sends a continuous stream of mp3 data to
an icecast server. The server is then responsible for accepting client
connections and feeding the mp3 stream to them.

%description -l es
ices, armed with a list of mp3 files, sends a continuous stream of mp3 data to
an icecast server. The server is then responsible for accepting client
connections and feeding the mp3 stream to them.

%package -n libshout
Summary: Library for communicating with an Icecast server.
Summary(pt_BR): Biblioteca para comunicao com um servidor Icecast.
Summary(es): Library for communicating with an Icecast server.
Version: %{lsversion}
Group: Networking
Group(pt_BR): Rede
Group(es): Red

%description -n libshout
Libshout is a library for communicating with and sending data to an
icecast server.  It handles the socket connection, the timing of the
data, and prevents bad data from getting to the icecast server.

%description -l pt_BR -n libshout
Biblioteca para comunicaao com um servidor Icecast.

%description -n libshout -l es
Libshout is a library for communicating with and sending data to an icecast
server. It handles the socket connection, the timing of the data, and prevents
bad data from getting to the icecast server.

%package -n libshout-devel
Summary: Files for developing applications with libshout.
Summary(pt_BR): Arquivos para desenvolver aplicaes com libshout.
Summary(es): Files for developing applications with libshout.
Version: %{lsversion}
Group: Development
Group(pt_BR): Desenvolvimento
Group(es): Desarrollo
PreReq: libshout = %{lsversion}

%description -n libshout-devel
Libshout is a library for communicating with and sending data to an
icecast server.  It handles the socket connection, the timing of the
data, and prevents bad data from getting to the icecast server.

%description -l pt_BR -n libshout-devel
Arquivos para desenvolver aplicaoes com libshout.

%description -n libshout-devel -l es
Development files for libshout

%package -n libshout-devel-static
Summary: Static shout library, used for development.
Summary(pt_BR): Biblioteca shout esttica, usada para desenvolvimento.
Summary(es): Static shout library, used for development.
Version: %{lsversion}
Group: Development
Group(pt_BR): Desenvolvimento
Group(es): Desarrollo
PreReq: libshout = %{lsversion}, libshout-devel = %{lsversion}

%description -n libshout-devel-static
Libshout is a library for communicating with and sending data to an
icecast server.  It handles the socket connection, the timing of the
data, and prevents bad data from getting to the icecast server.

%description -l pt_BR -n libshout-devel-static
Biblioteca shout esttica, usada para desenvolvimento.

%description -n libshout-devel-static -l es
Static libraries for development with libshout

%prep
#%setup -q -n %{name}-0.0.1.beta5
%setup -q

%build
autoconf
%configure --enable-fsstd \
	--with-python \
	--with-python-includes=%{_includedir}/python%{pythonversion} \
	--with-python-libraries=%{_libdir}/python%{pythonversion}/config \
	--with-perl

#make CC="$CC" CPP="$CPP" CFLAGS="%{optflags}"
make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/rc.d/init.d
install -m 755 %{_sourcedir}/ices.init \
	%{buildroot}%{_sysconfdir}/rc.d/init.d/ices

make DESTDIR=%{buildroot} install

# rename the default configuration files
install -d %{buildroot}%{_sysconfdir}/%{name}
mv %{buildroot}%{_sysconfdir}/icecast/ices.conf.dist \
	%{buildroot}%{_sysconfdir}/%{name}/ices.conf

%pre
# XXX previously we used just ices group, not user, so we have to get rid
# XXX of this group
groupdel %{gname} >/dev/null 2>&1 || :
# create user (and group) for ices
/usr/sbin/useradd -c "Ices" -s /bin/false -r \
	-d /etc/ices %{uname} >/dev/null 2>&1 || :

%post
chkconfig --add ices

%post -n libshout
ldconfig -n %{_libdir}

%preun
if [ "$1" = 0 ] ; then
	chkconfig --del ices
fi

%postun
if [ $1 = 0 ] ; then
	userdel %{uname} >/dev/null 2>&1 || :
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc FAQ FEATURES FILES COPYING AUTHORS BUGS CHANGES
%doc README* TESTED TODO doc/icesmanual.html ices.pm ices.py
%config(noreplace) %attr(0640,root,%{gname}) %{_sysconfdir}/%{name}/%{name}.conf
%{_sbindir}/*
%{_sysconfdir}/rc.d/init.d/%{name}

%files -n libshout
%defattr(-,root,root)
%attr(644,root,root) %{_libdir}/libshout.so.1.0.0
%{_libdir}/libshout.so.1
%attr(644,root,root) %{_libdir}/libshout.la

%files -n libshout-devel
%defattr(-,root,root)
%doc libshout/AUTHORS libshout/CHANGES libshout/COPYING libshout/README
%doc libshout/doc/*
%{_includedir}/shout
%{_libdir}/libshout.so

%files -n libshout-devel-static
%defattr(-,root,root)
%{_libdir}/libshout.a

%changelog
* Sun Sep 22 2002 Peter Hanecak <hanecak@megaloman.sk>
- do not run ices as root

* Tue Dec  4 2001 Peter Hanecak <hanecak@megaloman.sk>
- adapted to Doors Linux
- updated to 0.1.0
- changed config directory to %%{_sysconfdir}/%%{name} so we do not
  interfere with icecast (if installed)
- .bz2 source archiv used

* Fri Jun 22 2001 Magic Bumper <dist@conectiva.com.br>
+ ices-1.0.4-5cl
- pt_BR descriptions and summaries updated

* Fri Jun 01 2001 Andreas Christian Hasenack <andreas@conectiva.com>
+ ices-0.0.1beta5-4cl
- Closes: #3411 (Compatibilizar com o novo layout da libxml2)
- using standard xml2 layout now
- changed python patch for python-2.1

* Tue May 08 2001 Flavio Bruno Leitner <flavio@conectiva.com>
+ ices-0.0.1beta5-3cl
- recompiled to link with correct libxml2 and not /usr/lib/libxml.so.2

* Fri Jan 26 2001 Andreas Hasenack <andreas@conectiva.com>
+ ices-0.0.1beta5-2cl
+ libshout-1.0.4-1cl
- CL package created
- using new libxml2 directory layout
- patch to use python2 (it compiles, but is otherwise
  untested)
